﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms
Imports Syncfusion.Windows.Forms.Diagram

Namespace Incident_node_selected
	Partial Public Class Form1
		Inherits Form
		Public Sub New()
			InitializeComponent()
		End Sub

		Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
			Dim rect As New Syncfusion.Windows.Forms.Diagram.Rectangle(100, 100, 100, 75)
			rect.Name = "Rectangle Node"
			Me.diagram1.Model.AppendChild(rect)

			Dim ellp As Syncfusion.Windows.Forms.Diagram.Ellipse = New Ellipse(300, 300, 100, 75)
			ellp.Name = "Ellipse Node"
			ellp.LineStyle.LineColor = Color.Violet
			Me.diagram1.Model.AppendChild(ellp)

			Dim lcon As New LineConnector(New PointF(100, 200), New PointF(400, 200))
			Me.diagram1.Model.AppendChild(lcon)

            Me.diagram1.View.SelectionList.Clear()
            'registering the event using AddHandler 
			AddHandler diagram1.EventSink.NodeSelected, AddressOf EventSink_NodeSelected

		End Sub

		Private Sub EventSink_NodeSelected(ByVal evtArgs As NodeSelectedEventArgs)
			Dim node As Node = evtArgs.Node
			label2.Text = node.Name

		End Sub


	End Class
End Namespace
